Loading...
Searching...
No Matches
Opm::UDAValue Class Reference

## Public Member Functions

| UDAValue (double)
| UDAValue (const std::string &)
| UDAValue (const Dimension &dim)
| UDAValue (double data, const Dimension &dim)
| UDAValue (const std::string &data, const Dimension &dim)
UDAValue & | operator= (double value)=delete
UDAValue & | operator= (const std::string &value)=delete
void | update (double d)
void | update (const std::string &s)
void | update_value (const UDAValue &other)
double | raw_value_or (const double raw_default_value) const
double | SI_value_or (const double SI_default_value) const
template<typename T>
T | get () const
double | getSI () const
bool | zero () const
double | epsilonLimit () const
bool | is_defined () const
template<typename T>
bool | is () const
void | assert_numeric () const
void | assert_numeric (const std::string &error_msg) const
void | assert_maybe_numeric () const
const Dimension & | get_dim () const
void | set_dim (const Dimension &new_dim)
bool | operator== (const UDAValue &other) const
bool | operator!= (const UDAValue &other) const
bool | is_numeric () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
void | operator*= (double rhs)
template<>
bool | is () const
template<>
double | get () const
template<>
std::string | get () const

## Static Public Member Functions

static UDAValue | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Deck/UDAValue.hpp
- opm/input/eclipse/Deck/UDAValue.cpp